%global pkg_name regexpr

%global common_summary Regular expression like Perl/Ruby in Haskell

%global common_description Regular expression library like Perl and Ruby's regular expressions.

%global ghc_pkg_deps ghc-HUnit-devel, ghc-mtl-devel, ghc-mtlparse-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.5.3
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv3
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.0
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf %{buildroot}
%ghc_lib_install


%clean
rm -rf %{buildroot}


%{?ghc_lib_package}


%changelog
* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.3-1
- Update to 0.5.3

* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.1-1
- Initial package

* Fri Sep  3 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
